GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

geos::algorithm::RayCrossingCounter Member List

This is the complete list of members for geos::algorithm::RayCrossingCounter, including all inherited members.

countSegment(const geom::Coordinate &p1, const geom::Coordinate &p2) | geos::algorithm::RayCrossingCounter |
getLocation() | geos::algorithm::RayCrossingCounter |
isOnSegment() | geos::algorithm::RayCrossingCounter | inline
isPointInPolygon() | geos::algorithm::RayCrossingCounter |
locatePointInRing(const geom::Coordinate &p, const geom::CoordinateSequence &ring) | geos::algorithm::RayCrossingCounter | static
locatePointInRing(const geom::Coordinate &p, const std::vector< const geom::Coordinate * > &ring) | geos::algorithm::RayCrossingCounter | static
RayCrossingCounter(const geom::Coordinate &point) (defined in geos::algorithm::RayCrossingCounter) | geos::algorithm::RayCrossingCounter | inline